<?php

add_theme_support( 'post-thumbnails' ); 

include_once( $dir . 'inc/meta_box.php' );


function mt_memberssettings_admin_menu_setup(){ 
add_submenu_page(
 'edit.php?post_type=member',
 __('Team Member Slug Option', 'mtmembers'),
 __('Team Member Slug Option', 'mtmembers'),
 'manage_options',
 'mt_memberssettings',
 'mt_memberssettings_admin_page_screen'
 );
}
add_action('admin_menu', 'mt_memberssettings_admin_menu_setup'); //menu setup

/* display page content */
function mt_memberssettings_admin_page_screen() {
 global $submenu;
// access page settings 
 $page_data = array();
 foreach($submenu['options-general.php'] as $i => $menu_item) {
 if($submenu['options-general.php'][$i][2] == 'mt_memberssettings')
 $page_data = $submenu['options-general.php'][$i];
 }

// output 
?>
<div class="wrap">
<style>
#mt_memberssettings_options .form-table th {
display: none;
}
#mt_memberssettings_options label {
    cursor: pointer;
    display: block;
    float: left;
    width: 25%;
}
</style>


<?php screen_icon();?>
<h2><?php _e('Team Member Settings', 'mtmembers');?></h2>
<form id="mt_memberssettings_options" action="options.php" method="post">
<?php
settings_fields('mt_memberssettings_options');
do_settings_sections('mt_memberssettings'); 
submit_button('Save options', 'primary', 'mt_memberssettings_options_submit');
?>
 </form>
</div>
<?php
}


function mt_memberssettings_settings_init(){

register_setting(
 'mt_memberssettings_options',
 'mt_memberssettings_options',
 'mt_memberssettings_options_validate'
 );

add_settings_section(
 'mt_memberssettings_mtmembersslugbox',
 '', 
 'mt_memberssettings_mtmembersslugbox_desc',
 'mt_memberssettings'
 );

add_settings_field(
 'mt_memberssettings_mtmembersslugbox_template',
 '', 
 'mt_memberssettings_mtmembersslugbox_field',
 'mt_memberssettings',
 'mt_memberssettings_mtmembersslugbox'
 );
    
add_settings_field(
 'mt_memberssettings_mtmembersslugbox_template2',
 '', 
 'mt_memberssettings_mtmembersslugbox_field2',
 'mt_memberssettings',
 'mt_memberssettings_mtmembersslugbox2'
 );
    
}

add_action('admin_init', 'mt_memberssettings_settings_init');

/* validate input */
function mt_memberssettings_options_validate($input){
 global $allowedposttags, $allowedrichhtml;
if(isset($input['mtmembersslugbox_template']))
 $input['mtmembersslugbox_template'] = wp_kses_post($input['mtmembersslugbox_template']);
 $input['mtmembersslugbox_template2'] = wp_kses_post($input['mtmembersslugbox_template2']);
return $input;
}

/* description text */
function mt_memberssettings_mtmembersslugbox_desc(){
_e('The default slug name is member. You can enter in any name for team member slug in the field below.', 'mtmembers');
}

/* filed output */
function mt_memberssettings_mtmembersslugbox_field() { 
 $options = get_option('mt_memberssettings_options');
 $mtmembersslugbox = (isset($options['mtmembersslugbox_template'])) ? $options['mtmembersslugbox_template'] : '';
 $mtmembersslugbox = strip_tags($mtmembersslugbox); //sanitise output
 $mtmembersslugbox2 = (isset($options['mtmembersslugbox_template2'])) ? $options['mtmembersslugbox_template2'] : '';
 $mtmembersslugbox2 = strip_tags($mtmembersslugbox2); //sanitise output
?>
<p>
    <label><?php _e('Team Member Single Slug Name', 'mtmembers');?></label>
 <input type="text" id="mtmembersslugbox_template" name="mt_memberssettings_options[mtmembersslugbox_template]" value="<?php echo $mtmembersslugbox; ?>" /></p>

<?php
}



// Hook into the 'init' action
add_action('init', 'create_mt_members_post');


/**
 * Team Members Post Type.
 */
function create_mt_members_post() {   

	$options = get_option('mt_memberssettings_options');
 	$mtmembersslugbox = (isset($options['mtmembersslugbox_template'])) ? $options['mtmembersslugbox_template'] : '';
 	$mtmembersslugbox = strip_tags($mtmembersslugbox); //sanitise output	

	$labels = array(
		'name'                => _x( 'Team Members', 'Post Type General Name', 'mtmembers' ),
		'singular_name'       => _x( 'Team Member', 'Post Type Singular Name', 'mtmembers' ),
		'menu_name'           => __( 'Team Members', 'mtmembers' ),
		'parent_item_colon'   => __( 'Parent Item:', 'mtmembers' ),
		'all_items'           => __( 'All Team Members', 'mtmembers' ),
		'view_item'           => __( 'View Team Members', 'mtmembers' ),
		'add_new_item'        => __( 'Add New Team Member', 'mtmembers' ),
		'add_new'             => __( 'Add New', 'mtmembers' ),
		'edit_item'           => __( 'Edit Team Member', 'mtmembers' ),
		'update_item'         => __( 'Update Team Member', 'mtmembers' ),
		'search_items'        => __( 'Search Team Members', 'mtmembers' ),
		'not_found'           => __( 'Not found', 'mtmembers' ),
		'not_found_in_trash'  => __( 'Not found in Trash', 'mtmembers' ),
	);
	$args = array(
		'label'               => __( 'members', 'mtmembers' ),
		'description'         => __( 'Add members to your website.', 'mtmembers' ), 
		'labels'              => $labels,
		'supports' 			  => array('title','editor','thumbnail'),
		'taxonomies'          => array( 'thumbnail', 'category' ),
		'hierarchical'        => false,
		'menu_icon' 		  => 'dashicons-smiley',
		'rewrite' => array('slug' => $mtmembersslugbox),  
		'public'              => true, 
		'show_ui'             => true,
		'show_in_menu'        => true, 
		'show_in_nav_menus'   => true,
		'show_in_admin_bar'   => true,
		'menu_position'       => 42,
		'can_export'          => true,
		'has_archive'         => true,
		'exclude_from_search' => true,
		'publicly_queryable'  => true,
		'capability_type'     => 'post',
	);
	register_post_type( 'member', $args ); 

}


$membersfields = array( 
	array(
    		'label' => __( 'Facebook URL', 'mtmembers' ),
    		'id' => 'mt-member-facebook', 
    		'type' => 'text_url',
			'std' => ""
			),	
				
	array(
    		'label' => __( 'Twitter URL', 'mtmembers' ),
    		'id' => 'mt-member-twitter', 
    		'type' => 'text_url',
			'std' => ""
			),	
				
	array(
    		'label' => __( 'LinkedIn URL', 'mtmembers' ),
    		'id' => 'mt-member-linkedin', 
    		'type' => 'text_url',
			'std' => ""
			),
				
	array(
    		'label' => __( 'Google+ URL', 'mtmembers' ),
    		'id' => 'mt-member-google', 
   			'type' => 'text_url',
			'std' => ""
			),
	array(
    		'label' => __( 'Vimeo URL', 'mtmembers' ),
    		'id' => 'mt-member-vimeo', 
   			'type' => 'text_url',
			'std' => ""
			),
	array(
    		'label' => __( 'Instagram URL', 'mtmembers' ),
    		'id' => 'mt-member-instagram', 
   			'type' => 'text_url',
			'std' => ""
			),
	array(
    		'label' => __( 'Behance URL', 'mtmembers' ),
    		'id' => 'mt-member-behance', 
   			'type' => 'text_url',
			'std' => ""
			),
	array(
    		'label' => __( 'VK URL', 'mtmembers' ),
    		'id' => 'mt-member-vk', 
   			'type' => 'text_url',
			'std' => ""
			),
	array(
    		'label' => __( 'Email Address', 'mtmembers' ),
    		'id' => 'mt-member-email', 
    		'type' => 'text_url',
			'std' => ""
			),
	 
);


/**
 * Instantiate the class with all variables to create a meta box
 * var $id string meta box id
 * var $title string title
 * var $fields array fields
 * var $page string|array post type to add meta box to 
 * var $js bool including javascript or not
 */

$mt_members_box = new mt_members_Add_Meta_Box( 'mt_members_box', __('Team Members Info', 'mtmembers'), $membersfields, 'member', true ); 