<?php
/*
Plugin Name: Team Members by ModernThemes
Plugin URI: http://modernthemes.net/plugins/members
Description: This is a plugin by ModernThemes that adds Team Members post types and widgets.
Version: 1.1.5
Author: ModernThemes
Author URI: http://modernthemes.net/
License: GPL2
Text Domain: mtmembers 
Domain Path: /languages/
*/


require 'plugin-updates/plugin-update-checker.php';  
$MyUpdateChecker = PucFactory::buildUpdateChecker(
'http://modernthemes.net/updates/?action=get_metadata&slug=mt_members', //Metadata URL.
__FILE__, //Full path to the main plugin file. 
'mt_members' //Plugin slug 
);


add_action('admin_init', 'mt_memberssettings_flush' );

function mt_memberssettings_flush(){ 

		if ( isset( $_POST['mt_memberssettings_options'] ) ) {


			flush_rewrite_rules();
		
		}

}

/* Paths for Files */
$mt_members_main_file = dirname(__FILE__).'/members-by-mt.php';
$mt_members_directory = plugin_dir_url($mt_members_main_file);
$mt_members_path = dirname(__FILE__);

/* Add css and scripts file */ 
function mt_members_add_scripts() {
	global $mt_members_directory, $mt_members_path; 
		wp_enqueue_style('mt-members-style', $mt_members_directory.'css/grid.css');  
}
		
add_action('wp_enqueue_scripts', 'mt_members_add_scripts');

class MT_Members_Widgets {
	public function __construct() {
		add_action( 'widgets_init', array( $this, 'load' ), 9 );
		add_action( 'widgets_init', array( $this, 'init' ), 10 );
		register_uninstall_hook( __FILE__, array( __CLASS__, 'uninstall' ) ); 
	}

	public function load() {
		$dir = plugin_dir_path( __FILE__ );

		include_once( $dir . 'inc/widget-mt-members.php' ); 
		include_once( $dir . 'inc/mt-members.php' );
		include_once( $dir . 'inc/shortcodes-mt-members.php' ); 
		
		
	}

	public function init() {
		if ( ! is_blog_installed() ) {
			return;
		}

		load_plugin_textdomain( 'mtmembers', false, 'mt_members/languages' ); 
		
		register_widget( 'mt_members' ); 
	
	}

	public function uninstall() {}
}

$mt_members_widgets = new MT_Members_Widgets();